MavenpluginTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.maven.MavenpluginTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.maven
Class MavenpluginTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.doc.AntdocTagsHandler
                  xdoclet.modules.maven.MavenpluginTagsHandler

public class MavenpluginTagsHandler
extends AntdocTagsHandler

This tag handler is used to generate xdoclet Maven plugin.

Version:
  $Revision: 1.4 $
Author:
  Ara Abrahamian
xdoclet.taghandler
  namespace="Mavenplugin"
created
  21 September 2002

Field Summary

Fields inherited from class xdoclet.modules.doc.AntdocTagsHandler
`docElement, subElement`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`MavenpluginTagsHandler()`

Method Summary
`void` | `forAllTasks(String template)`
`List` | `getTasks()`
`void` | `ifIsAConfigParam(String template)`
`void` | `ifIsAFileSet(String template)`
`void` | `ifIsANestedElement(String template)`
`void` | `ifIsASubTask(String template)`
`void` | `ifIsNotAFileSet(String template)`
`void` | `ifIsNotANestedElement(String template)`
`void` | `ifIsNotASubTask(String template)`
`String` | `moduleName()`
`String` | `nestedElementName()`
`String` | `nestedElementType()`
`void` | `setTasks(List tasks)`

Methods inherited from class xdoclet.modules.doc.AntdocTagsHandler
`elementName, enumerateValues, forAllSubElements, ifHasSubElements, required, rootlink, setDocElement, subElementDescription, subElementLink, subElementName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MavenpluginTagsHandler

    public MavenpluginTagsHandler()

Method Detail

### getTasks

    public List getTasks()

### setTasks

    public void setTasks(List tasks)

### forAllTasks

    public void forAllTasks(String template)
                     throws XDocletException

  Throws:
    `XDocletException`

### ifIsASubTask

    public void ifIsASubTask(String template)
                      throws XDocletException

  Throws:
    `XDocletException`

### ifIsNotASubTask

    public void ifIsNotASubTask(String template)
                         throws XDocletException

  Throws:
    `XDocletException`

### ifIsAFileSet

    public void ifIsAFileSet(String template)
                      throws XDocletException

  Throws:
    `XDocletException`

### ifIsNotAFileSet

    public void ifIsNotAFileSet(String template)
                         throws XDocletException

  Throws:
    `XDocletException`

### ifIsAConfigParam

    public void ifIsAConfigParam(String template)
                          throws XDocletException

  Throws:
    `XDocletException`

### ifIsANestedElement

    public void ifIsANestedElement(String template)
                            throws XDocletException

  Throws:
    `XDocletException`

### nestedElementName

    public String nestedElementName()
                             throws XDocletException

  Throws:
    `XDocletException`

### nestedElementType

    public String nestedElementType()
                             throws XDocletException

  Throws:
    `XDocletException`

### moduleName

    public String moduleName()
                      throws XDocletException

  Throws:
    `XDocletException`

### ifIsNotANestedElement

    public void ifIsNotANestedElement(String template)
                               throws XDocletException

  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD